#!/usr/bin/sh
# Please use this script to run the sample. Make sure that you properly set
# up the OSS_ASN1_JAVA, CLASSPATH and PATH environment variables before running
# this script.  You can set up JAVAC and JAVA environment variables to
# customize Java compiler/interpreter.

ACTION=${1:-"javac"}

case ${ACTION} in
    "cleanup")
	rm -f mts.log
	break;;
	
    "javac")
	CLASSPATH=`pwd`:$CLASSPATH; export CLASSPATH
	JAVAC=${JAVAC:-javac}
	JAVA=${JAVA:-java}
	echo "ASN.1-compiling the syntax..."
	echo ""
	asn1pjav mts -test -der -err mts.log
	if [ $? -eq 0 ]; then 
	    cd mts
	    echo "Java-compiling generated classes..."
	    echo ""
	    sh mts.sh 2>&1 >> ../mts.log
	    cd ..
	    if [ -f mts/Test.class ]; then
		echo "Running the derset test ...";
		echo ""
		${JAVA} mts.Test;
	    fi
	fi
	rm -fr mts
	break;;

    *)
	echo "Invalid argument \"$1\"."
	echo ""
	break;;
    
esac
